XmlNonPositiveInteger (xmlbeans API)

org.apache.xmlbeans

## Interface XmlNonPositiveInteger

- All Superinterfaces:
    XmlAnySimpleType, XmlDecimal, XmlInteger, XmlObject, XmlTokenSource
  All Known Subinterfaces:
    XmlNegativeInteger
  All Known Implementing Classes:
    XmlNegativeIntegerImpl, XmlNonPositiveIntegerImpl

      public interface XmlNonPositiveInteger
      extends XmlInteger

  Corresponds to the XML Schema xs:nonPositiveInteger type. One of the derived types based on xs:decimal.

  Verified to be zero or negative when validating.

  Convertible to `BigInteger`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlNonPositiveInteger>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.XmlInteger

      `getBigIntegerValue, setBigIntegerValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlDecimal

      `getBigDecimalValue, setBigDecimalValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlNonPositiveInteger> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.